<?php
/**
 * An interface for searchable results
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007 - 2009 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
interface UpdateableResult extends FrameworkInterface {
	/**
	 * Adds an update request to the database result for writing it to the
	 * database layer
	 *
	 * @param	$criteriaInstance	An instance of a updateable criteria
	 * @return	void
	 * @throws	ResultUpdateException	If no result was updated
	 */
	function add2UpdateQueue (LocalUpdateCriteria $criteriaInstance);

	/**
	 * Adds registration elements to a given dataset instance
	 *
	 * @param	$criteriaInstance	An instance of a storeable criteria
	 * @return	void
	 */
	function addElementsToDataSet (StoreableCriteria $criteriaInstance);
}

// [EOF]
?>
